# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20180116093743) do

  create_table "active_admin_comments", force: :cascade do |t|
    t.string "namespace"
    t.text "body"
    t.string "resource_type"
    t.integer "resource_id"
    t.string "author_type"
    t.integer "author_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["author_type", "author_id"], name: "index_active_admin_comments_on_author_type_and_author_id"
    t.index ["namespace"], name: "index_active_admin_comments_on_namespace"
    t.index ["resource_type", "resource_id"], name: "index_active_admin_comments_on_resource_type_and_resource_id"
  end

  create_table "admin_users", force: :cascade do |t|
    t.string "email", default: "", null: false
    t.string "encrypted_password", default: "", null: false
    t.string "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.integer "sign_in_count", default: 0, null: false
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string "current_sign_in_ip"
    t.string "last_sign_in_ip"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["email"], name: "index_admin_users_on_email", unique: true
    t.index ["reset_password_token"], name: "index_admin_users_on_reset_password_token", unique: true
  end

  create_table "group", force: :cascade do |t|
    t.string "name", limit: 256, null: false
    t.integer "gid", null: false
    t.string "description", limit: 1024
    t.index ["gid"], name: "sqlite_autoindex_group_2", unique: true
    t.index ["name"], name: "sqlite_autoindex_group_1", unique: true
  end

  create_table "key", force: :cascade do |t|
    t.string "content", limit: 8192, null: false
    t.string "description", limit: 1024
    t.index ["content"], name: "sqlite_autoindex_key_1", unique: true
  end

  create_table "nodegroup", force: :cascade do |t|
    t.string "name", limit: 256, null: false
    t.string "description", limit: 1024
    t.index ["name"], name: "nodegroup_name_unique", unique: true
    t.index ["name"], name: "sqlite_autoindex_nodegroup_1", unique: true
  end

  create_table "nodegroup_role", primary_key: ["nodegroup_id", "role_id"], force: :cascade do |t|
    t.integer "nodegroup_id"
    t.integer "role_id"
    t.index ["nodegroup_id", "role_id"], name: "sqlite_autoindex_nodegroup_role_1", unique: true
  end

  create_table "person", force: :cascade do |t|
    t.string "full_name", limit: 256, null: false
    t.string "shell", limit: 64, default: "/bin/bash", null: false
    t.datetime "expire_date"
  end

  create_table "role", force: :cascade do |t|
    t.string "name", limit: 256, null: false
    t.string "description", limit: 1024
    t.index ["name"], name: "role_name_unique", unique: true
    t.index ["name"], name: "sqlite_autoindex_role_1", unique: true
  end

# Could not dump table "sqlite_stat1" because of following StandardError
#   Unknown type '' for column 'tbl'

  create_table "unixusers", force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "user", force: :cascade do |t|
    t.integer "person_id", null: false
    t.string "name", limit: 256, null: false
    t.integer "uid", null: false
    t.string "home", limit: 256, null: false
    t.string "autofs_location", limit: 256
    t.string "workfs_location", limit: 256
    t.index ["name"], name: "sqlite_autoindex_user_1", unique: true
  end

  create_table "user_group", primary_key: ["user_id", "group_id"], force: :cascade do |t|
    t.integer "user_id"
    t.integer "group_id"
    t.boolean "primary", null: false
    t.index ["user_id", "group_id"], name: "sqlite_autoindex_user_group_1", unique: true
  end

  create_table "user_key", primary_key: ["user_id", "key_id"], force: :cascade do |t|
    t.integer "user_id"
    t.integer "key_id"
    t.index ["user_id", "key_id"], name: "sqlite_autoindex_user_key_1", unique: true
  end

  create_table "user_role", primary_key: ["user_id", "role_id"], force: :cascade do |t|
    t.integer "user_id"
    t.integer "role_id"
    t.index ["user_id", "role_id"], name: "sqlite_autoindex_user_role_1", unique: true
  end

end
